io.vertx.redis.op

## Class SortOptions

- java.lang.Object
- - io.vertx.redis.op.SortOptions

- Deprecated.
  Use `Redis`

      @Deprecated
      public class SortOptions
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SortOptions` | `NONE` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortOptions()` Deprecated.
    `SortOptions(JsonObject obj)` Deprecated.
    `SortOptions(SortOptions obj)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `SortOptions` | `addGet(String pattern)` Deprecated.
    `SortOptions` | `setAlpha(Boolean alpha)` Deprecated.
    `SortOptions` | `setBy(String pattern)` Deprecated.
    `SortOptions` | `setDescending(Boolean descending)` Deprecated.
    `SortOptions` | `setLimit(long offset, long count)` Deprecated.
    `SortOptions` | `setStore(String store)` Deprecated.
    `JsonObject` | `toJson()` Deprecated.
    `JsonArray` | `toJsonArray()` Deprecated.
    `SortOptions` | `useAlpha()` Deprecated.
    `SortOptions` | `useDescending()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          public static final SortOptions NONE

      Deprecated.

  - ### Constructor Detail

    - #### SortOptions

          public SortOptions()

      Deprecated.

    - #### SortOptions

          public SortOptions(SortOptions obj)

      Deprecated.

    - #### SortOptions

          public SortOptions(JsonObject obj)

      Deprecated.

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

      Deprecated.

    - #### setLimit

          public SortOptions setLimit(long offset,
                                      long count)

      Deprecated.

    - #### setBy

          public SortOptions setBy(String pattern)

      Deprecated.

    - #### addGet

          public SortOptions addGet(String pattern)

      Deprecated.

    - #### setDescending

          public SortOptions setDescending(Boolean descending)

      Deprecated.

    - #### useDescending

          public SortOptions useDescending()

      Deprecated.

    - #### setAlpha

          public SortOptions setAlpha(Boolean alpha)

      Deprecated.

    - #### useAlpha

          public SortOptions useAlpha()

      Deprecated.

    - #### setStore

          public SortOptions setStore(String store)

      Deprecated.

    - #### toJsonArray

          public JsonArray toJsonArray()

      Deprecated.

Copyright © 2020 Eclipse. All rights reserved.